% Test database reading, Seiscomp Data Structure (SDS) format .  The
% provided SDS directory has the 'L??' components of stations Y8:LSo{7,8}
% from 2007/08/07-09

% 7/2016: readDB still doesn't combine multiple files correctly

DBdir='./datafiles/SDS';
DBformat='SDS';

starttime=ts_datetime('2007/08/08 16:00');     
length=4*3600;     

tdata1=ts_file.readDB(DBformat,DBdir,starttime,length);  
figure(1); plot(tdata1);

tdata2=ts_file.readDB(DBformat,DBdir,starttime,length,'component=*Z');   
figure(2); plot(tdata2);
