%% ts_event
% Subclass of ts_file, for storing event information 
% 
%
%% Properties:
%
%  time   - Event time                      (ts_datetime)
%  lat    - Event latitude                  (numeric)
%  lon    - Event longitude                 (numeric)
%  depth  - Event depth below sea level(m)  (numeric)
%  wdepth - Water depth at event (m)        (numeric)
%
%% Methods:
%  ts_event - Creator
%
%% Example
ev=ts_event('2012/12/25 10:37:14.5',45.5,2.3,14,0)
%% See also
% <ts_datetime_help.html |ts_datetime|>