%% ts_shotinfo
% Holds shot information, used in ts_data.writeSEGY to split the data
% according to the provided shots
%
%% Apology
% I haven't used this in a long time, don't know if the description is
%  accurate, or if the class works.  Could be better organized (make 
%  properties read-only so that all properties are guaranteed to have same
%  length, overload length() and numel() operators).  Shot time could
%  (should?) be ts_datetime object, numshots should be called nShots or
%  replaced by the length() method, etcetera...
% 
%% Properties
%  number   - shot numbers   (vector)
%  syear    - shot years
%  sjday    - shot julian day
%  shour    - shot hour
%  sminute  - shot minute
%  ssecond  - shot second
%  lat      - Decimal degrees N
%  lon      - Decimal degrees E
%  depth    - shot depth below sealevel (m)
%  wdepth   - water depth below sealevel at shot position
%  numshots - number of shots in the list
%
%% Methods
%   ts_shotinfo - Creator, reads from a shotfile
%   add         - Add a shot (have to use shots = add(shots, ...) )
