% Create a list of "bad data" in a time series and calculate spectra while
% avoiding this data

tdata =  readWEBBdata();	% Read in seafloor BBOBS data
figure(1); plot(tdata);

gooddata=ts_seqlist('1:1000 3600:4000 5000:14000');	% Make a sequential list
baddata=not(gooddata,get(tdata,'numsamps'));
figure(2); plot(tdata,'highlight',baddata)

sdata=tdata.calcSpectra('badoffsets',baddata);
figure(3); plot(sdata);
