function h0 = tsp_ReadChanGUI()

global TSPLOT_DATAFILE
numChans = TSPLOT_DATAFILE.nChannels;
hspacing = 30;
figwidth = max([hspacing*numChans + 10; 76]); 
h0 = figure('Color',[0.8 0.8 0.8], ...
	'Name','Select channels to view', ...
	'NumberTitle','off', ...
	'Position',[461 153 figwidth 70], ...
	'Tag','tsp_DatafileGUI');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','tsp_ReadChanGUIMod(''exitOK'');', ...
	'FontSize',12, ...
	'FontWeight','bold', ...
	'Position',[floor(figwidth/2)-36 0 72 24], ...
	'String','OK');

chky = 37; chkh = 20; chkw = 20; chkx = 5+floor((hspacing-chkw)/2); 
numy = 57; numh = 12;
txty = 27; txth = 12;            txtx = 5;
for i = 1:numChans,
	tag = sprintf('APchancheck%d',i);
	h2(i) = uicontrol('Parent',h0, 'Units','points', ...
			'Position',[chkx chky chkw chkh], ...
			'String','', ...
			'HorizontalAlignment','center', ...
			'Style','checkbox', ...
			'Tag',tag, 'Value',1);
	uicontrol('Parent',h0, 'Units','points', ...
			'Position',[txtx numy hspacing numh], ...
			'String',num2str(i), ...
			'Style','text');
	uicontrol('Parent',h0, 'Units','points', ...
			'Position',[txtx txty hspacing txth], ...
			'String',get(TSPLOT_DATAFILE,'chname',i), ...
			'Style','text');
	chkx = chkx + hspacing;
	txtx = txtx + hspacing;
end
