function outbounds = tsp_calcaxpos(axis)
%
p1=get(axis,'CurrentPoint');
rbbox;
p2=get(axis,'CurrentPoint');

l=p1(1,1);  % Assume first click is on left side
r=p2(1,1);
if r<l    % box was selected from right to left, zoom out
    outbounds=[0 0 0 0];
    return
end
t=max([p1(1,2) p2(1,2)]);
b=min([p1(1,2) p2(1,2)]);

xlim = get(axis,'XLim'); ylim = get(axis,'YLim'); 
xmin = xlim(1); xmax = xlim(2); xrange=xmax-xmin;
ymin = ylim(1); ymax = ylim(2); yrange=ymax-ymin;

if (t-b) < .02*yrange || (r-l)<.02*xrange, outbounds = []; return, end

outbounds = [l r b t];  % y positions aren't used in time plots.
return;
