function thefile=tsf_LCPO_T240_22(theInput)
% tsf_LCPO_T240 creates a ts_file instance for L-Cheapo T240 logger 22

    thefile=tsf_LCPO_T240_seismo(theInput); % Use standard seismometer response and channel names

    % Enter calibrated DPG response (assumes gauge # 5018)
    
    thefile.ch_metadata(4).response=tsresp_DPG('L22_DPG5018_2007');
end

