function resp=tsresp_LCPO_L28()
% Creates a ts_response instance for an L-CHEAPO and an Mark Systems L28 geophone

    gain_AD=1165084;
    gain_ampli=128;
    resp_logger=ts_response('PZ','V','counts',gain_AD*gain_ampli,[],[]);
    resp_geophone=ts_response('PZ','m/s','V',31.45,[13.18+1i*25.02 13.18-1i*25.02],[0 0],2*pi*100);
    
    resp=resp_geophone*resp_logger;
end

